X11.XSetWindowAttributes (JNA API)
Description: declaration: package: com.sun.jna.platform.unix, interface: X11, class: XSetWindowAttributes

Package com.sun.jna.platform.unix

# Class X11.XSetWindowAttributes

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.X11.XSetWindowAttributes

Enclosing interface:
  X11

@FieldOrder({"background_pixmap","background_pixel","border_pixmap","border_pixel","bit_gravity","win_gravity","backing_store","backing_planes","backing_pixel","save_under","event_mask","do_not_propagate_mask","override_redirect","colormap","cursor"}) public static class X11.XSetWindowAttributes extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `NativeLong`
  `background_pixel`
  `X11.Pixmap`
  `background_pixmap`
  `NativeLong`
  `backing_pixel`
  `NativeLong`
  `backing_planes`
  `int`
  `backing_store`
  `int`
  `bit_gravity`
  `NativeLong`
  `border_pixel`
  `X11.Pixmap`
  `border_pixmap`
  `X11.Colormap`
  `colormap`
  `X11.Cursor`
  `cursor`
  `NativeLong`
  `do_not_propagate_mask`
  `NativeLong`
  `event_mask`
  `boolean`
  `override_redirect`
  `boolean`
  `save_under`
  `int`
  `win_gravity`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSetWindowAttributes()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### background_pixmap

    public X11.Pixmap background_pixmap

  - ### background_pixel

    public NativeLong background_pixel

  - ### border_pixmap

    public X11.Pixmap border_pixmap

  - ### border_pixel

    public NativeLong border_pixel

  - ### bit_gravity

    public int bit_gravity

  - ### win_gravity

    public int win_gravity

  - ### backing_store

    public int backing_store

  - ### backing_planes

    public NativeLong backing_planes

  - ### backing_pixel

    public NativeLong backing_pixel

  - ### save_under

    public boolean save_under

  - ### event_mask

    public NativeLong event_mask

  - ### do_not_propagate_mask

    public NativeLong do_not_propagate_mask

  - ### override_redirect

    public boolean override_redirect

  - ### colormap

    public X11.Colormap colormap

  - ### cursor

    public X11.Cursor cursor

- ## Constructor Details

  - ### XSetWindowAttributes

    public XSetWindowAttributes()